/* FONTS */

@font-face {
  font-family: 'Delicious Handrawn';
  font-style: normal;
  font-weight: 400;
  font-display: block;
  src: url('../assets/fonts/delicious-handrawn-latin-ext.woff2') format('woff2');
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
@font-face {
  font-family: 'Delicious Handrawn';
  font-style: normal;
  font-weight: 400;
  font-display: block;
  src: url('../assets/fonts/delicious-handrawn-latin.woff2') format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: 'Reddit Mono';
  font-style: normal;
  font-weight: 200 900;
  font-display: block;
  src: url('../assets/fonts/reddit-mono-latin-ext.woff2') format('woff2');
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
@font-face {
  font-family: 'Reddit Mono';
  font-style: normal;
  font-weight: 200 900;
  font-display: block;
  src: url('../assets/fonts/reddit-mono-latin.woff2') format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* GENERAL */

html, body {
  height: 100%;
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
}

section {
  padding: 72px 24px 72px 24px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap:48px;
}

section > * {
  max-width: 800px;
  display: flex;
  flex-direction: column;
  gap:12px;
}

/* FONTS */

h1 {
  font-family: "Delicious Handrawn";
  font-size: 2.8em;
  font-weight: 400;
  margin:0;
}

h2 {
  font-family: "Delicious Handrawn";
  font-size: 2.4em;
  font-weight: 400;
  margin:0;
}

h3 {
  color: #B84739;
  font-family: "Delicious Handrawn";
  font-size: 2em;
  font-weight: 400;
  margin:0;
}

p {
  font-family: "Reddit Mono";
  font-size: 1.4em;
  font-weight: 250;
  margin:0;
}

a {
  color: #B84739;
}

span {
  text-decoration: underline;
}

/* BUTTONS & FORMS*/

button {
  padding: 10px 20px 14px 20px;
  font-family: "Delicious Handrawn";
  font-size: 28px;
  cursor: pointer;
  background-size: contain;
  border: 0;
}

button a {
  text-decoration: none;
}

.cta {
  background: url("../assets/button_primary.svg") no-repeat center;
}

.cta a {
    color: #E1C94C;
}

.program_discover {
  background: url("../assets/button_secondary_program.svg") no-repeat center;
}

.ok {
  background: url("../assets/button_secondary_ok.svg") no-repeat center;
  color: black;
}

@media (prefers-color-scheme: dark) {
  .ok {
    color: black;
  }
}

.secondary a {
  color: #000000;
}

input {
  padding: 10px 20px 14px 20px;
  font-family: "Delicious Handrawn";
  font-size: 28px;
  background-size: contain;
  border: 0;
}

.email {
  background: url("../assets/button_secondary_emailinput.svg") no-repeat center;
  background-size: 100%;
}

.consent {
  font-family: "Delicious Handrawn";
  font-size: 28px;
  cursor: pointer;
  caret-color: transparent;
  display: block;
  padding-top:10px;
}

.consent > input {
  display: none;
}

.checkbox-1 {
  display: none;
}

.consent input:checked ~ .checkbox-1 {
    display: inline;
}

.consent input:checked ~ .checkbox-0 {
    display: none;
}

#thanks {
  color: #3C8657;
}

/* HEADER & FOOTER */

.header {
    background-image: url("../assets/background_green.webp");
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 1000;
    box-shadow: 0px 0px 20px 0px gray;
  }

.header > div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 24px 12px 24px;
  max-width: 800px;
  margin: 0 auto;
}

#logo, #burger {
  padding-top: 4px;
  cursor: pointer;
}

.footer {
  text-align: center;
  padding: 12px 20px 12px 20px;
  background-image: url("../assets/background_green.webp");
}

.footer p a {
  color: black;
  text-decoration: none;
}

/* MENU */

nav {
  display: none;
}

nav > h3 > a {
  color: black;
  text-decoration: none;
}

nav.active {
  background-image: url("../assets/background_beige.webp");
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 48px;
  z-index: 1000;
  transform: translateY(0);
}

.close {
  position: absolute;
  top: 50px;
  right: 50px;
  cursor: pointer;
}

/* 💻 Desktop */
@media (min-width: 768px) {
  #burger, .close, #accueil, #contact {
    display: none; /* on cache le burger */
  }

  nav {
    display: flex; /* on affiche les liens */
    position: static;
    flex-direction: row;
    gap: 36px;
  }

  nav h3 {
    padding-top: 8px;
  }
}




/* HOMEPAGE */

.hp_hero {
  background-image: url("../assets/background_beige.webp");
}

.hp_etape1 {
  background-image: url("../assets/background_blue.webp");
}

.hp_ensavoirplus {
  background-image: url("../assets/background_beige.webp");
}

.hp_faq {
  background-image: url("../assets/background_blue.webp");
}

.hp_faq > * {
  text-align: left;
}

.hp_inscription {
  background-image: url("../assets/background_beige.webp");
}

/* PROGRAM */

.program_calendar {
  background-image: url("../assets/background_beige.webp");
}

.program_calendar h1 {
 text-align: center;
}

.program_calendar > * {
  width: 100%;
  text-align: left;
}

details {
  border-bottom: 1px solid lightgrey;
  padding-bottom: 36px;
}

details:last-child {
  border-bottom: none;
}

details > p, iframe {
  padding: 8px 0px 8px 0px;
}

summary {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: start;
  cursor: pointer;
  width: 100%;
  text-align: left;
}

summary > div {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-align: left;
  width: 100%;
  gap: 4px;
}

summary h3,
summary p {
  margin: 0;
  text-align: left;
}

summary::-webkit-details-marker {
  display: none;
}

.icon {
  width: 18px;
  height: 18px;
  margin-top: 14px;
  background: url("../assets/accordion_plus.svg") no-repeat center;
  background-size: contain;
  transition: transform 0.3s ease;
}

details[open] .icon {
  background: url("../assets/accordion_minus.svg") no-repeat center;
  background-size: contain;
}

.program_inscription {
  background-image: url("../assets/background_blue.webp");
}

/* TOUR DE GAULE */

.tdg {
  background-image: url("../assets/background_beige.webp");
}

.tdg_etapes {
  background-image: url("../assets/background_blue.webp");
}

.tdg_inscription {
  background-image: url("../assets/background_beige.webp");
}

/* CONTACT & INSCRIPTION */

.contact {
  background-image: url("../assets/background_beige.webp");
  flex: 1;
}

.contact * {
  text-align: left;
}

